summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--pylintrc47
-rwxr-xr-xtests/code_analysis.sh11
2 files changed, 53 insertions, 5 deletions
diff --git a/pylintrc b/pylintrc
new file mode 100644
index 000000000..6dad28d58
--- /dev/null
+++ b/pylintrc
@@ -0,0 +1,47 @@
+[MASTER]
+
+#init-hook=import InitHomeDir
+
+# Add files or directories to the blacklist. They should be base names, not
+# paths.
+ignore=CVS,lib,thriftgen
+
+# Pickle collected data for later comparisons.
+persistent=yes
+
+[MESSAGES CONTROL]
+
+# Currently only interessted in warnings and errors
+disable=C,I,R,W0102,W0106,W0142,W0312,W0403,W0611,W0613,W0614,W0702,W0703
+
+[REPORTS]
+
+# Set the output format. Available formats are text, parseable, colorized, msvs
+# (visual studio) and html. You can also give a reporter class, eg
+# mypackage.mymodule.MyReporterClass.
+output-format=parseable
+reports=no
+
+include-ids=yes
+
+[FORMAT]
+
+# Maximum number of characters on a single line.
+max-line-length=80
+
+# Maximum number of lines in a module
+max-module-lines=1000
+
+# String used as indentation unit. This is usually " " (4 spaces) or "\t" (1
+# tab).
+indent-string=' '
+
+[VARIABLES]
+
+# List of additional names supposed to be defined in builtins. Remember that
+# you should avoid to define new builtins when possible.
+additional-builtins=_,owd,pypath,addonManager
+
+[MISCELLANEOUS]
+# Notes are not processed
+notes=
diff --git a/tests/code_analysis.sh b/tests/code_analysis.sh
index d8ede8d4b..85b177223 100755
--- a/tests/code_analysis.sh
+++ b/tests/code_analysis.sh
@@ -6,10 +6,11 @@ echo "Running pep8"
pep8 pyload > pep8.txt
-echo "Running pyflakes"
-
+#echo "Running pyflakes"
# pyflakes to pylint syntak
-find -name '*.py' |egrep -v '^.(/tests/|/pyload/lib)'|xargs pyflakes > pyflakes.log || :
+#find -name '*.py' |egrep -v '^.(/tests/|/pyload/lib)'|xargs pyflakes > pyflakes.log || :
# Filter warnings and strip ./ from path
-cat pyflakes.log | awk -F\: '{printf "%s:%s: [E]%s\n", $1, $2, $3}' | grep -i -E -v "'_'|pypath|webinterface|pyreq|addonmanager" > pyflakes.txt
-sed -i 's/^.\///g' pyflakes.txt
+#cat pyflakes.log | awk -F\: '{printf "%s:%s: [E]%s\n", $1, $2, $3}' | grep -i -E -v "'_'|pypath|webinterface|pyreq|addonmanager" > pyflakes.txt
+#sed -i 's/^.\///g' pyflakes.txt
+
+pylint pyload > pylint.txt \ No newline at end of file